Index: lib/style/common/searchWorkflowResultset.xsl
===================================================================
--- lib/style/common/searchWorkflowResultset.xsl	(revision 5310)
+++ lib/style/common/searchWorkflowResultset.xsl	(revision 5311)
@@ -29,13 +29,15 @@
 	* into an HTML format suitable for rendering with modern web browsers.
 -->
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
-
+	
+	<xsl:import href="util.xsl"/>
 	<xsl:output method="html" />
 	<xsl:param name="sessid" />
 	<xsl:param name="qformat">default</xsl:param>
 	<xsl:param name="enableediting">false</xsl:param>
 	<xsl:param name="contextURL"/>
-	
+	<xsl:variable name ="emptyString"/>
+
 	<xsl:template match="/">  
 	
 		<div class="result-header-section">      
@@ -52,8 +54,13 @@
 		<xsl:if test="count(resultset/document) &gt; 0">
 			<xsl:for-each select="resultset/document">
 				<xsl:sort select='./updatedate' order='descending' />
-				<xsl:sort select='./param[@name="/entity/@name"]' />
-				<xsl:if test="./docname = 'entity'">
+				<!--<xsl:sort select='./param[@name="/entity/@name"]' />
+				<xsl:if test="./docname = 'entity'">-->
+				<xsl:sort select='./param[@name="/kar/karEntry/karEntryXML/entity/@name"]' />
+				<xsl:variable name="workflowRunClassName">
+                    <xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/@class"]'/>
+                </xsl:variable>
+                <xsl:if test="$workflowRunClassName = $emptyString">
 					<div>
 						<xsl:attribute name="class">
 							<xsl:choose>
@@ -61,12 +68,33 @@
 								<xsl:when test="position() mod 2 = 0">row row-even</xsl:when>
 							</xsl:choose>
 						</xsl:attribute>
+						<xsl:variable name="karLSID">
+							<xsl:value-of select='./param[@name="/kar/mainAttributes/lsid"]' />
+						</xsl:variable>
+						<xsl:variable name="karDocid">
+							<xsl:call-template name="extractDocidFromLsid">
+								<xsl:with-param name="lsidString" select="$karLSID" />
+							</xsl:call-template>
+						</xsl:variable>
+						<xsl:variable name="workflowLSID">
+							<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/entity/property[@name=&apos;entityId&apos;]/@value"]'/>
+						</xsl:variable>
+						<xsl:variable name="karXmlDocid">
+                            <xsl:value-of select='./docid'/>
+                        </xsl:variable>
+                        <xsl:variable name="karXmlLSID">
+                            <xsl:call-template name="lsid">
+                                <xsl:with-param name="docid" select="$karXmlDocid" />
+                            </xsl:call-template>
+                        </xsl:variable>
 
 						<div class="col col1">	
-							<xsl:value-of select='./param[@name="/entity/@name"]' />		
+							<!--<xsl:value-of select='./param[@name="/entity/@name"]' />-->
+							<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/entity/@name"]' />		
 						</div>
 						<div class="col col2">	
-							<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;author&apos;]/configure"]' />		
+							<!--<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;author&apos;]/configure"]' />-->
+							<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/entity/property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;author&apos;]/configure"]' />		
 						</div>
 						<div class="col col3">	
 							<xsl:value-of select='./updatedate' />			
@@ -74,13 +102,15 @@
 						<div class="col col4">	
 							<a>
 								<xsl:attribute name="class">underlined</xsl:attribute>
-								<xsl:attribute name="href">./searchWorkflowRun.jsp?workflowid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;entityId&apos;]/@value"]' /></xsl:attribute>
+								<!--<xsl:attribute name="href">./searchWorkflowRun.jsp?workflowid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;entityId&apos;]/@value"]' /></xsl:attribute>-->
+								<xsl:attribute name="href">./searchWorkflowRun.jsp?workflowlsid=<xsl:value-of select="$workflowLSID" /></xsl:attribute>
 									 View Runs
 							</a>
 							<span> | </span>
 							<a>
 								<xsl:attribute name="class">underlined</xsl:attribute>
-								<xsl:attribute name="href">./scheduleWorkflowRun.jsp?workflowid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;entityId&apos;]/@value"]' />&amp;karid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;karLSID&apos;]/@value"]' />&amp;workflowname=<xsl:value-of select='./param[@name="/entity/@name"]' /></xsl:attribute>	 
+								<!--<xsl:attribute name="href">./scheduleWorkflowRun.jsp?workflowid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;entityId&apos;]/@value"]' />&amp;karid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;karLSID&apos;]/@value"]' />&amp;workflowname=<xsl:value-of select='./param[@name="/entity/@name"]' /></xsl:attribute>-->
+								<xsl:attribute name="href">./scheduleWorkflowRun.jsp?workflowid=<xsl:value-of select="$karXmlLSID" />&amp;karid=<xsl:value-of select="normalize-space($karLSID)" />&amp;workflowname=<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/entity/@name"]' /></xsl:attribute>	 
 									 Schedule
 							</a> 
 							<span> | </span>
@@ -87,7 +117,8 @@
 							<a>
 								<xsl:attribute name="class">underlined</xsl:attribute>
 								<xsl:attribute name="href">
-									<xsl:value-of select='$contextURL' />/metacat?action=read&amp;docid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;karLSID&apos;]/@value"]' />
+									<!--<xsl:value-of select='$contextURL' />/metacat?action=read&amp;docid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;karLSID&apos;]/@value"]' />-->
+									<xsl:value-of select='$contextURL' />/metacat?action=read&amp;docid=<xsl:value-of select="$karDocid" />
 								</xsl:attribute>	 
 									 Download
 							</a> 
@@ -97,5 +128,14 @@
 			</xsl:for-each>
 		</xsl:if>
 	</xsl:template>
-
+	
+	<!--************** creates a fake lsid for kar xml file document**************-->
+   <xsl:template name="lsid">
+       <xsl:param name="docid"/>
+       <xsl:variable name="colonString">
+           <xsl:value-of select="translate($docid, '.', ':')" />
+        </xsl:variable>
+       <xsl:variable name="lsidString" select="concat('urn:lsid:','gamma.msi.ucsb.edu/OpenAuth',':',string($colonString))"/>      
+        <xsl:value-of select="$lsidString"/>
+   </xsl:template>
 </xsl:stylesheet>
\ No newline at end of file
Index: lib/style/common/searchWorkflowRun.js
===================================================================
--- lib/style/common/searchWorkflowRun.js	(revision 5310)
+++ lib/style/common/searchWorkflowRun.js	(revision 5311)
@@ -12,7 +12,7 @@
 function setWorkflowQueryFormField(formId) {
 	var queryString = ""; 
 	queryString += "<pathquery version='1.2'>";
-	queryString += "<returndoctype>property</returndoctype>";
+	/*queryString += "<returndoctype>property</returndoctype>";
 	queryString += "<returndoctype>-//UC Berkeley//DTD MoML 1//EN</returndoctype>";
 	queryString += "<returnfield>/property[@class=\'org.kepler.util.WorkflowRun\']/property[@name=\'user\']/@value</returnfield>";
 	queryString += "<returnfield>/property[@class=\'org.kepler.util.WorkflowRun\']/property[@name=\'description\']/@value</returnfield>";
@@ -23,8 +23,19 @@
 	queryString += "<returnfield>/property[@class=\'org.kepler.util.WorkflowRun\']/property[@name=\'pdfReport\']/@value</returnfield>";
 	queryString += "<returnfield>/property[@class=\'org.kepler.util.WorkflowRun\']/property[@name=\'htmlReport\']/@value</returnfield>";
 	queryString += "<returnfield>/property[@class=\'org.kepler.util.WorkflowRun\']/property[@name=\'karLSID\']/@value</returnfield>";
-	queryString += "<returnfield>/property[@class=\'org.kepler.util.WorkflowRun\']/property[@name=\'ReportInstance_pdf\']/@value</returnfield>";
+	queryString += "<returnfield>/property[@class=\'org.kepler.util.WorkflowRun\']/property[@name=\'ReportInstance_pdf\']/@value</returnfield>";*/
 	
+	queryString += "<returndoctype>kar</returndoctype>";
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'user\']/@value</returnfield>";
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'description\']/@value</returnfield>";
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'startTime\']/@value</returnfield>";
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'workflowLSID\']/@value</returnfield>";
+  queryString += "<returnfield>/kar/karEntry/karEntryAttributes/tpcStatus</returnfield>";
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'workflowName\']/@value</returnfield>";
+  queryString += "<returnfield>/kar/mainAttributes/lsid</returnfield>";
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/@class</returnfield>";
+  queryString += "<returnfield>/kar/karEntry/karEntryAttributes/Name</returnfield>";
+	
 	queryString += "<querygroup operator='INTERSECT'>";	
 	
 	var elementList = document.getElementById(formId).elements;
@@ -64,63 +75,56 @@
 	
 	var pathExpr = '';
 	if (sfElement.name == 'name') {
-		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
-		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>entity/@name</pathexpr>";
-		pathExpr += "</queryterm>"; 		
-	} else if (sfElement.name == 'keyword') {
-		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
-		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/@value</pathexpr>";
-		pathExpr += "</queryterm>"; 		
-	} else if (sfElement.name == 'creator') {
-		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
-		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
-		pathExpr += "</queryterm>"; 		
-	} else if (sfElement.name == 'description') {
-		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
-		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
-		pathExpr += "</queryterm>"; 		
-	} else if (sfElement.name == 'date-created') {
-		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
-		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
-		pathExpr += "</queryterm>"; 		
-	} else if (sfElement.name == 'date-executed') {
-		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
-		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
-		pathExpr += "</queryterm>"; 		
-	} else if (sfElement.name == 'workflow-id') {
-		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
-		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
-		pathExpr += "</queryterm>"; 		
-	} else if (sfElement.name == 'workflow-lsid') {
-		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
-		pathExpr += "<value>workflowLSID</value>";
-		pathExpr += "<pathexpr>property/property/@name</pathexpr>";
-		pathExpr += "</queryterm>"; 
-		pathExpr += "<queryterm casesensitive='false' searchmode='starts-with'>";
-		var workflowId = sfElement.value;
-		var lastColonPos = workflowId.lastIndexOf(':');
-		var truncWorkflowId = workflowId.substring(0, lastColonPos);
-		pathExpr += "<value>" + truncWorkflowId + "</value>";
-		pathExpr += "<pathexpr>property/property/@value</pathexpr>";
-		pathExpr += "</queryterm>";		
-	} else if (sfElement.name == 'workflow-run-id') {
-		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
-		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
-		pathExpr += "</queryterm>"; 		
-	} else if (sfElement.name == 'status') {
-		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
-		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
-		pathExpr += "</queryterm>"; 		
-	} 
+    pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+    pathExpr += "<value>" + sfElement.value + "</value>";
+    /*pathExpr += "<pathexpr>entity/@name</pathexpr>";*/
+    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/@name</pathexpr>";
+    pathExpr += "</queryterm>";     
+  } else if (sfElement.name == 'keyword') {
+    pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+    pathExpr += "<value>" + sfElement.value + "</value>";
+    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@value</pathexpr>";
+    pathExpr += "</queryterm>";     
+  } else if (sfElement.name == 'creator') {
+    pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+    pathExpr += "<value>" + sfElement.value + "</value>";
+    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+    pathExpr += "</queryterm>";     
+  } else if (sfElement.name == 'description') {
+    pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+    pathExpr += "<value>" + sfElement.value + "</value>";
+    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+    pathExpr += "</queryterm>";     
+  } else if (sfElement.name == 'date-created') {
+    pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+    pathExpr += "<value>" + sfElement.value + "</value>";
+    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+    pathExpr += "</queryterm>";     
+  } else if (sfElement.name == 'date-executed') {
+    pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+    pathExpr += "<value>" + sfElement.value + "</value>";
+    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/property/property/@value</pathexpr>";
+    pathExpr += "</queryterm>";   
+  } else if (sfElement.name == 'workflow-lsid') {
+    pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+    pathExpr += "<value>entityId</value>";
+    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@name</pathexpr>";
+    pathExpr += "</queryterm>"; 
+    pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+    pathExpr += "<value>" + sfElement.value + "</value>";
+    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@value</pathexpr>";
+    pathExpr += "</queryterm>";   
+  }else if (sfElement.name == 'workflow-run-lsid') {
+    pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+    pathExpr += "<value>" + sfElement.value + "</value>";
+    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/property/property/@value</pathexpr>";
+    pathExpr += "</queryterm>";     
+  }else if (sfElement.name == 'status') {
+    pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+    pathExpr += "<value>" + sfElement.value + "</value>";
+    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/property/property/@value</pathexpr>";
+    pathExpr += "</queryterm>";     
+  }
 	
 	//alert("returning path expression: " + pathExpr);
 	return pathExpr;
Index: lib/style/common/searchWorkflowRunResultset.xsl
===================================================================
--- lib/style/common/searchWorkflowRunResultset.xsl	(revision 5310)
+++ lib/style/common/searchWorkflowRunResultset.xsl	(revision 5311)
@@ -29,12 +29,14 @@
 	* into an HTML format suitable for rendering with modern web browsers.
 -->
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
-
+	<xsl:import href="util.xsl"/>
 	<xsl:output method="html" />
 	<xsl:param name="sessid" />
 	<xsl:param name="qformat">default</xsl:param>
 	<xsl:param name="enableediting">false</xsl:param>
 	<xsl:param name="contextURL"/>
+	<xsl:variable name ="pdfExtension" select="'.pdf'"/>
+	<xsl:variable name ="emptyString"/>
 	
 	<xsl:template match="/">  
 		<div class="result-header-section">      
@@ -50,40 +52,60 @@
 			if there are not then don't show the query results -->
 		<xsl:if test="count(resultset/document) &gt; 0">
 			<xsl:for-each select="resultset/document">
-				<xsl:sort select='./param[@name="/property[@class=&apos;org.kepler.util.WorkflowRun&apos;]/property[@name=&apos;startTime&apos;]/@value"]' order='descending' />
-				<xsl:sort select='./param[@name="/property[@class=&apos;org.kepler.util.WorkflowRun&apos;]/property[@name=&apos;workflowName&apos;]/@value"]' />
-				<div>
-					<xsl:attribute name="class">
-						<xsl:choose>
+				<xsl:sort select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;startTime&apos;]/@value"]' order='descending' />
+                <xsl:sort select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;workflowName&apos;]/@value"]' />
+				<!-- test if the document has the "workflowRun" property. If has, kept this document-->
+				<xsl:variable name="workflowRunClassName">
+					<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/@class"]'/>
+				</xsl:variable>
+				
+				<xsl:if test="$workflowRunClassName != $emptyString">				
+					<xsl:variable name="karDocid">
+                            <xsl:call-template name="extractDocidFromLsid">
+                                <xsl:with-param name="lsidString" select='./param[@name="/kar/mainAttributes/lsid"]' />
+                            </xsl:call-template>
+					</xsl:variable>
+					<xsl:variable name="pdfFile">
+						<xsl:for-each select='./param[@name="/kar/karEntry/karEntryAttributes/Name"]'>
+							<xsl:variable name="fileName" select='.' />				
+							<xsl:if test="contains($fileName, $pdfExtension)">
+                             <xsl:value-of select="normalize-space($fileName)"/>
+							 </xsl:if>                      
+						</xsl:for-each>
+					</xsl:variable>
+				
+					<div>
+						<xsl:attribute name="class">
+							<xsl:choose>
 							<xsl:when test="position() mod 2 = 1">row row-odd</xsl:when>
 							<xsl:when test="position() mod 2 = 0">row row-even</xsl:when>
-						</xsl:choose>
-					</xsl:attribute>
+							</xsl:choose>
+						</xsl:attribute>
 
-					<div class="col col1">	
-						<xsl:value-of select='./param[@name="/property[@class=&apos;org.kepler.util.WorkflowRun&apos;]/property[@name=&apos;workflowName&apos;]/@value"]' />		
-					</div>
-					<div class="col col2">	
-						<xsl:choose>
-						<xsl:when  test="not(./param[@name=&quot;/property[@class=&apos;org.kepler.util.WorkflowRun&apos;]/property[@name=&apos;tpcStatus&apos;]/@value&quot;])" >
+						<div class="col col1">	
+							<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;workflowName&apos;]/@value"]' />		
+						</div>
+						<div class="col col2">	
+							<xsl:choose>
+							<xsl:when  test="not(./param[@name=&quot;/kar/karEntry/karEntryAttributes/tpcStatus&quot;])" >
 							unknown
-						</xsl:when>
-						<xsl:otherwise>
-							<xsl:value-of select='./param[@name="/property[@class=&apos;org.kepler.util.WorkflowRun&apos;]/property[@name=&apos;tpcStatus&apos;]/@value"]' />	
-						</xsl:otherwise>
-						</xsl:choose>
-					</div>
-					<div class="col col3">	
-						<xsl:value-of select='./param[@name="/property[@class=&apos;org.kepler.util.WorkflowRun&apos;]/property[@name=&apos;startTime&apos;]/@value"]' />		
-					</div>
-					<div class="col col4">	
-						<a>
-							<xsl:attribute name="class">underlined</xsl:attribute>
-							<xsl:attribute name="href">
-								<xsl:value-of select='$contextURL' />/metacat?action=read&amp;docid=<xsl:value-of select='./param[@name="/property[@class=&apos;org.kepler.util.WorkflowRun&apos;]/property[@name=&apos;karLSID&apos;]/@value"]' />&amp;archiveEntryName=<xsl:value-of select='./param[@name="/property[@class=&apos;org.kepler.util.WorkflowRun&apos;]/property[@name=&apos;ReportInstance_pdf&apos;]/@value"]' />
-							</xsl:attribute>
-							PDF
-						</a> 
+							</xsl:when>
+							<xsl:otherwise>
+								<xsl:value-of select='./param[@name="/kar/karEntry/karEntryAttributes/tpcStatus"]' />	
+							</xsl:otherwise>
+							</xsl:choose>
+						</div>
+						<div class="col col3">	
+							<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;startTime&apos;]/@value"]' />		
+						</div>
+						<div class="col col4">	
+							<a>
+								<xsl:attribute name="class">underlined</xsl:attribute>
+								<xsl:attribute name="href">
+									<xsl:value-of select='$contextURL' />/metacat?action=read&amp;docid=<xsl:value-of select="$karDocid" />&amp;archiveEntryName=<xsl:value-of select="$pdfFile" />
+								</xsl:attribute>
+								PDF
+							</a> 
 						<!--  | 
 						<a>
 							<xsl:attribute name="class">underlined</xsl:attribute>
@@ -92,10 +114,10 @@
 							</xsl:attribute>
 							HTML
 						</a --> 							 
-					</div>		
-				</div>
+						</div>		
+					</div>
+				</xsl:if>
 			</xsl:for-each>
 		</xsl:if>
 	</xsl:template>
-
 </xsl:stylesheet>
\ No newline at end of file
Index: lib/style/common/widgets/form-fields-widget.js
===================================================================
--- lib/style/common/widgets/form-fields-widget.js	(revision 5310)
+++ lib/style/common/widgets/form-fields-widget.js	(revision 5311)
@@ -101,17 +101,17 @@
 		addSearchSelectionBefore('tpcSearch','Description','description','co|eq|sw|ew','form-base-row');
 	} else if (selectObj.value == "date-executed") {
 		addSearchSelectionBefore('tpcSearch','Date Executed','date-executed','be|af','form-base-row');
-	} else if (selectObj.value == "workflow-run-id") {
-		addSearchSelectionBefore('tpcSearch','Workflow-id','workflow-id','co|eq|sw|ew','form-base-row');
+	} else if (selectObj.value == "workflow-run-lsid") {
+		addSearchSelectionBefore('tpcSearch','Workflow-run-lsid','workflow-run-lsid','co|eq|sw|ew','form-base-row');
 	} else if (selectObj.value == "workflow-lsid") {
-		addSearchSelectionBefore('tpcSearch','Workflow-id','workflow-id','co|eq|sw|ew','form-base-row');
+		addSearchSelectionBefore('tpcSearch','Workflow-lsid','workflow-lsid','co|eq|sw|ew','form-base-row');
 	} else if (selectObj.value == "status") {
 		addSearchSelectionBefore('tpcSearch','Status','Status','is|in','form-base-row');
 	} else if (selectObj.value == "date-created") {
 		addSearchSelectionBefore('tpcSearch','Date Created','date-created','be|af','form-base-row');
-	} else if (selectObj.value == "workflow-id") {
+	} /*else if (selectObj.value == "workflow-id") {
 		addSearchSelectionBefore('tpcSearch','Workflow-id','workflow-id','co|eq|sw|ew','form-base-row');
-	}		
+	}*/	
 }
 
 function addSearchSelectionBefore(formId, inputLabel, inputName,  searchModes, beforeElementId) {
Index: src/upgrade-db-to-1.9.2-oracle.sql
===================================================================
--- src/upgrade-db-to-1.9.2-oracle.sql	(revision 5310)
+++ src/upgrade-db-to-1.9.2-oracle.sql	(revision 5311)
@@ -60,5 +60,3 @@
 
 INSERT INTO db_version (version, status, date_created) 
   VALUES ('1.9.2', 1, CURRENT_DATE);
-
-UPDATE db_version SET status=0; 
